# netData Union Reference

`#include <sdk/utility/psputility_netparam.h>`

## Detailed Description

Datatype for sceUtilityGetNetParam since it can return a u32 or a string we use a union to avoid ugly casting.

## Data Fields

u32 | asUint
char | asString [128]

## Field Documentation

char netData::asString[128]

u32 netData::asUint

The documentation for this union was generated from the following file:

- sdk/utility/psputility_netparam.h